/*
 Arduino animat appetite regulator
 by John LaRocco
 based on code by Tom Igoe (analog input, analog output)
 
 
 original code by Tom Igoe:
  created 29 Dec. 2008
 modified 9 Apr 2012
 
 current version created:
 29 3 2015 by John LaRocco
 
 Models half of an articial circulatory system for an animat or hybrot. 
 This assumes a constant influx of "food" as the analog input, with a constant decrease 
 to represent 'feeding size/dosage.' The constant c is adjusted up or down accordingly, 
 but it is currently used to model a simulated appetite/serving size. 
 
 Each cycle, the system generates a new random serving of "food" 
 to feed the animat. Based upon current level of "food" in the bloodstream,
 (the input value), the constant c is adjusted up or down when 
  more food enters the system. Afterwards, the "total food" 
  passes through the output onto the "brain" and other essential organs.
 
 The system is essentially a porportional, linear control system
 using SISO (single input single output), and intended for 
 use with other modules to represent other organs. 
 
 The circuit:
 * input connected to analog pin 0. Output to 9. 
 
 This example code is in the public domain.
 
 */

// These constants won't change.  They're used to give names
// to the pins used:
const int analogInPin = A0;  // Analog input pin that the potentiometer is attached to
const int analogOutPin = 9; // Analog output pin that the LED is attached to

int sensorValue = 0;        // value read from the input
int outputValue = 0;        // value output to the analog out
int c=10;                  // coefficient value
void setup() {
  // initialize serial communications at 9600 bps:
  Serial.begin(9600); 
}

void loop() {
  // read the analog in value:
  sensorValue = analogRead(analogInPin);            
  // map it to the range of the analog out:
   if(sensorValue >= 20 && sensorValue <= 900){
     c=c;
  }
  else if(sensorValue >= 901){
 
   c=c-1;
  }
  else(sensorValue <= 19){
  c=c+1
  }
   
  outputValue=c*sensorValue; 
  //outputValue=[c sensorValue];
  //outputValue = map(sensorValue, 0, 1023, 0, 255);  
  
  
  // change the analog out value:
  
  analogWrite(analogOutPin, outputValue);           


  // wait 2 milliseconds before the next loop
  // for the analog-to-digital converter to settle
  // after the last reading:
  delay(2);                     
}
